Bug 807267 - aeolus-debug is broken.
aeolus-debug is broken.
Status: CLOSED ERRATA
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Jason Guiditta
wes hayutin
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 07:58 EDT by Aziza Karol
Modified: 2012-12-04 10:01 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If users specified a different output directory for aeolus-debug other than the default, no log files were created. This bug fix updates how the Ruby script constructs paths to pass to the tar command so now 'aeolus-debug' works properly when users specify an output directory.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 10:01:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aziza Karol 2012-03-27 07:58:34 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
# aeolus-debug --dir logs
mkdir -p logs/aeolus-debug-20120327073227
File list: /var/log/aeolus-configure/aeolus-configure.log/var/log/aeolus-conductor/dbomatic.log/var/log/aeolus-conductor/thin.log/var/log/aeolus-conductor/rails.log/etc/aeolus-configure/custom_template.tdl/etc/aeolus-configure/nodes/etc/aeolus-configure/nodes/README/etc/aeolus-configure/nodes/rhevm_configure/etc/aeolus-configure/nodes/vsphere_configure/etc/aeolus-configure/nodes/deltacloud_configure/etc/aeolus-configure/nodes/iwhd_cleanup/etc/aeolus-configure/nodes/rhevm_cleanup/etc/aeolus-configure/nodes/wui/etc/aeolus-configure/nodes/wui_configure/etc/aeolus-configure/nodes/conductor_cleanup/etc/aeolus-configure/nodes/mock_configure/etc/aeolus-configure/nodes/deltacloud_cleanup/etc/aeolus-configure/nodes/default_configure/etc/aeolus-configure/nodes/imagefactory_cleanup/etc/aeolus-configure/nodes/imagebuilder_configure/etc/aeolus-configure/nodes/default_cleanup/etc/aeolus-configure/nodes/imagefactory_configure/etc/aeolus-configure/nodes/iwhd_configure/etc/aeolus-configure/nodes/ec2_configure/etc/aeolus-conductor/test.rb/etc/aeolus-conductor/settings.yml/etc/aeolus-conductor/production.rb/etc/aeolus-conductor/development.rb/etc/aeolus-conductor/database.yml/etc/aeolus-conductor/oauth.json/etc/imagefactory/imagefactory.conf/etc/imagefactory/rhevm.json/etc/imagefactory/vsphere.json/etc/imagefactory/jeos_images/var/log/imagefactory.log/etc/iwhd/conf.js/etc/iwhd/users.js/var/log/iwhd.log/var/log/mongodb/mongodb.log/var/log/deltacloud-core/mock.log/var/log/libvirt/lxc/var/log/libvirt/uml/var/log/libvirt/libvirtd.log/var/log/libvirt/qemu/var/log/libvirt/qemu/factory-build-4da9f919-c58c-4f0a-9868-f84629634db2.log/var/log/libvirt/qemu/factory-build-1b85741b-b262-4a12-942a-ca7f52796b8a.log/etc/oz/oz.cfg/proc/cpuinfo/proc/meminfo
mkdir -p logs/aeolus-debug-20120327073227/var/log/aeolus-configure
cp -p /var/log/aeolus-configure/aeolus-configure.log logs/aeolus-debug-20120327073227/var/log/aeolus-configure
mkdir -p logs/aeolus-debug-20120327073227/var/log/aeolus-conductor
cp -p /var/log/aeolus-conductor/dbomatic.log logs/aeolus-debug-20120327073227/var/log/aeolus-conductor
mkdir -p logs/aeolus-debug-20120327073227/var/log/aeolus-conductor
cp -p /var/log/aeolus-conductor/thin.log logs/aeolus-debug-20120327073227/var/log/aeolus-conductor
mkdir -p logs/aeolus-debug-20120327073227/var/log/aeolus-conductor
cp -p /var/log/aeolus-conductor/rails.log logs/aeolus-debug-20120327073227/var/log/aeolus-conductor
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure
cp -p /etc/aeolus-configure/custom_template.tdl logs/aeolus-debug-20120327073227/etc/aeolus-configure
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/README logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/rhevm_configure logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/vsphere_configure logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/deltacloud_configure logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/iwhd_cleanup logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/rhevm_cleanup logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/wui logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/wui_configure logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/conductor_cleanup logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/mock_configure logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/deltacloud_cleanup logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/default_configure logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/imagefactory_cleanup logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/imagebuilder_configure logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/default_cleanup logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/imagefactory_configure logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/iwhd_configure logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/ec2_configure logs/aeolus-debug-20120327073227/etc/aeolus-configure/nodes
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-conductor
cp -p /etc/aeolus-conductor/test.rb logs/aeolus-debug-20120327073227/etc/aeolus-conductor
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-conductor
cp -p /etc/aeolus-conductor/settings.yml logs/aeolus-debug-20120327073227/etc/aeolus-conductor
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-conductor
cp -p /etc/aeolus-conductor/production.rb logs/aeolus-debug-20120327073227/etc/aeolus-conductor
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-conductor
cp -p /etc/aeolus-conductor/development.rb logs/aeolus-debug-20120327073227/etc/aeolus-conductor
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-conductor
cp -p /etc/aeolus-conductor/database.yml logs/aeolus-debug-20120327073227/etc/aeolus-conductor
mkdir -p logs/aeolus-debug-20120327073227/etc/aeolus-conductor
cp -p /etc/aeolus-conductor/oauth.json logs/aeolus-debug-20120327073227/etc/aeolus-conductor
mkdir -p logs/aeolus-debug-20120327073227/etc/imagefactory
cp -p /etc/imagefactory/imagefactory.conf logs/aeolus-debug-20120327073227/etc/imagefactory
mkdir -p logs/aeolus-debug-20120327073227/etc/imagefactory
cp -p /etc/imagefactory/rhevm.json logs/aeolus-debug-20120327073227/etc/imagefactory
mkdir -p logs/aeolus-debug-20120327073227/etc/imagefactory
cp -p /etc/imagefactory/vsphere.json logs/aeolus-debug-20120327073227/etc/imagefactory
mkdir -p logs/aeolus-debug-20120327073227/etc/imagefactory/jeos_images
mkdir -p logs/aeolus-debug-20120327073227/var/log
cp -p /var/log/imagefactory.log logs/aeolus-debug-20120327073227/var/log
mkdir -p logs/aeolus-debug-20120327073227/etc/iwhd
cp -p /etc/iwhd/conf.js logs/aeolus-debug-20120327073227/etc/iwhd
mkdir -p logs/aeolus-debug-20120327073227/etc/iwhd
cp -p /etc/iwhd/users.js logs/aeolus-debug-20120327073227/etc/iwhd
mkdir -p logs/aeolus-debug-20120327073227/var/log
cp -p /var/log/iwhd.log logs/aeolus-debug-20120327073227/var/log
mkdir -p logs/aeolus-debug-20120327073227/var/log/mongodb
cp -p /var/log/mongodb/mongodb.log logs/aeolus-debug-20120327073227/var/log/mongodb
mkdir -p logs/aeolus-debug-20120327073227/var/log/deltacloud-core
cp -p /var/log/deltacloud-core/mock.log logs/aeolus-debug-20120327073227/var/log/deltacloud-core
mkdir -p logs/aeolus-debug-20120327073227/var/log/libvirt/lxc
mkdir -p logs/aeolus-debug-20120327073227/var/log/libvirt/uml
mkdir -p logs/aeolus-debug-20120327073227/var/log/libvirt
cp -p /var/log/libvirt/libvirtd.log logs/aeolus-debug-20120327073227/var/log/libvirt
mkdir -p logs/aeolus-debug-20120327073227/var/log/libvirt/qemu
mkdir -p logs/aeolus-debug-20120327073227/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-4da9f919-c58c-4f0a-9868-f84629634db2.log logs/aeolus-debug-20120327073227/var/log/libvirt/qemu
mkdir -p logs/aeolus-debug-20120327073227/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-1b85741b-b262-4a12-942a-ca7f52796b8a.log logs/aeolus-debug-20120327073227/var/log/libvirt/qemu
mkdir -p logs/aeolus-debug-20120327073227/etc/oz
cp -p /etc/oz/oz.cfg logs/aeolus-debug-20120327073227/etc/oz
mkdir -p logs/aeolus-debug-20120327073227/proc
cp -p /proc/cpuinfo logs/aeolus-debug-20120327073227/proc
mkdir -p logs/aeolus-debug-20120327073227/proc
cp -p /proc/meminfo logs/aeolus-debug-20120327073227/proc
tar (child): logs/aeolus-debug-20120327073227.tar.gz: Cannot open: No such file or directoryaeolus-debug-20120327073227/

tar (child): Error is not recoverable: exiting now
aeolus-debug-20120327073227/etc/
aeolus-debug-20120327073227/etc/imagefactory/
aeolus-debug-20120327073227/etc/imagefactory/imagefactory.conf
aeolus-debug-20120327073227/etc/imagefactory/rhevm.json
aeolus-debug-20120327073227/etc/imagefactory/vsphere.json
aeolus-debug-20120327073227/etc/imagefactory/jeos_images/
aeolus-debug-20120327073227/etc/oz/
aeolus-debug-20120327073227/etc/oz/oz.cfg
aeolus-debug-20120327073227/etc/iwhd/
aeolus-debug-20120327073227/etc/iwhd/conf.js
aeolus-debug-20120327073227/etc/iwhd/users.js
aeolus-debug-20120327073227/etc/aeolus-configure/
tar: logs/aeolus-debug-20120327073227.tar.gz: Cannot write: Broken pipe
tar: Error is not recoverable: exiting now
A debug file has been created at logs/aeolus-debug-20120327073227.tar.gz.

# ls -lhtr logs/
total 0


  
Actual results:
No log files getting created in the folder.

Expected results:
log files should be created

Additional info:
rpm  -qa | grep aeolus
rubygem-aeolus-image-0.3.0-12.el6.noarch
rubygem-aeolus-cli-0.3.1-1.el6.noarch
aeolus-conductor-doc-0.8.3-1.el6.noarch
aeolus-all-0.8.3-1.el6.noarch
aeolus-conductor-daemons-0.8.3-1.el6.noarch
aeolus-configure-2.5.2-1.el6.noarch
aeolus-conductor-0.8.3-1.el6.noarch
Comment 1 wes hayutin 2012-03-27 17:55:22 EDT
^C
[root@qeblade31 ~]# aeolus-debug 
mkdir -p /tmp/aeolus-debug-20120327175328
File list: /var/log/aeolus-conductor/thin.log/var/log/aeolus-conductor/rails.log/var/log/aeolus-conductor/dbomatic.log/var/log/aeolus-configure/aeolus-cleanup.log/var/log/aeolus-configure/aeolus-configure.log/etc/aeolus-conductor/settings.yml/etc/aeolus-conductor/production.rb/etc/aeolus-conductor/database.yml/etc/aeolus-conductor/development.rb/etc/aeolus-conductor/test.rb/etc/aeolus-conductor/oauth.json/etc/aeolus-configure/nodes/etc/aeolus-configure/nodes/default_cleanup/etc/aeolus-configure/nodes/deltacloud_configure/etc/aeolus-configure/nodes/README/etc/aeolus-configure/nodes/rhevm_configure/etc/aeolus-configure/nodes/wui_configure/etc/aeolus-configure/nodes/imagebuilder_configure/etc/aeolus-configure/nodes/vsphere_configure/etc/aeolus-configure/nodes/iwhd_configure/etc/aeolus-configure/nodes/imagefactory_configure/etc/aeolus-configure/nodes/default_configure/etc/aeolus-configure/nodes/iwhd_cleanup/etc/aeolus-configure/nodes/deltacloud_cleanup/etc/aeolus-configure/nodes/mock_configure/etc/aeolus-configure/nodes/wui/etc/aeolus-configure/nodes/rhevm_cleanup/etc/aeolus-configure/nodes/imagefactory_cleanup/etc/aeolus-configure/nodes/ec2_configure/etc/aeolus-configure/nodes/conductor_cleanup/etc/aeolus-configure/custom_template.tdl/etc/imagefactory/jeos_images/etc/imagefactory/rhevm.json/etc/imagefactory/vsphere.json/etc/imagefactory/imagefactory.conf/var/log/imagefactory.log/etc/iwhd/users.js/etc/iwhd/conf.js/var/log/iwhd.log/var/log/mongodb/mongodb.log/var/log/deltacloud-core/mock.log/var/log/libvirt/lxc/var/log/libvirt/libvirtd.log/var/log/libvirt/qemu/var/log/libvirt/qemu/factory-build-451fd8f8-b2bf-447c-bc8d-be7ef324bce6.log/var/log/libvirt/qemu/factory-build-ee17ea15-f67e-4744-bb64-b00fa900e64d.log/var/log/libvirt/qemu/factory-build-50db5ce3-1981-4d9f-9097-edc983085a4a.log/var/log/libvirt/qemu/factory-build-d67c6c7b-f7f0-4634-bd43-c16ac2420daf.log/var/log/libvirt/qemu/factory-build-98164846-3ed1-4f8b-a688-6f417f5609b9.log/var/log/libvirt/qemu/factory-build-187d7b4a-58f6-4099-bbe1-fb7d706591ce.log/var/log/libvirt/qemu/factory-build-4bfb2e7d-f8f4-4004-aa58-babae494e538.log/var/log/libvirt/qemu/factory-build-2acb706a-3d2b-4d1f-b6e1-3e022cd8d8cb.log/var/log/libvirt/qemu/factory-build-7a31543e-3344-4378-91c8-57d9080ebc5c.log/var/log/libvirt/qemu/factory-build-8df48ebe-f1f0-41b7-86dd-ee2ab1e1aa26.log/var/log/libvirt/qemu/factory-build-76967225-32a9-4403-81e6-18c68817e6ec.log/var/log/libvirt/qemu/wes.log/var/log/libvirt/qemu/factory-build-a0484bc1-b31e-4a6a-81bf-993fc727aeb1.log/var/log/libvirt/qemu/factory-build-049ca7cd-9400-4ee9-9091-93ce1df70ba4.log/var/log/libvirt/qemu/factory-build-29baf7c5-0870-41ea-b426-37033436f50d.log/var/log/libvirt/qemu/factory-build-ba58d498-d594-45bd-af32-92b243f66e48.log/var/log/libvirt/qemu/factory-build-ab706a09-d654-43d9-8bd8-65753b9fff88.log/var/log/libvirt/qemu/factory-build-beb71d17-6680-4422-b9c9-67c8d28d7c1f.log/var/log/libvirt/qemu/factory-build-71a24652-e5d0-4c06-bb94-e7f5a3d139c2.log/var/log/libvirt/qemu/factory-build-d9f633e6-f690-4ce9-a6e1-02c7de995d5e.log/var/log/libvirt/qemu/factory-build-1a280d31-a622-4cb4-9337-9b147059afb7.log/var/log/libvirt/qemu/factory-build-428a0d2a-3090-42e7-bb21-e0c49e781246.log/var/log/libvirt/qemu/factory-build-1b025dbe-33dd-4284-8ed2-d5b8764aeb77.log/var/log/libvirt/qemu/factory-build-fbf0e82d-48ba-46ac-94dd-fa8d75909d5a.log/var/log/libvirt/uml/etc/oz/oz.cfg/proc/cpuinfo/proc/meminfo
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/aeolus-conductor
cp -p /var/log/aeolus-conductor/thin.log /tmp/aeolus-debug-20120327175328/var/log/aeolus-conductor
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/aeolus-conductor
cp -p /var/log/aeolus-conductor/rails.log /tmp/aeolus-debug-20120327175328/var/log/aeolus-conductor
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/aeolus-conductor
cp -p /var/log/aeolus-conductor/dbomatic.log /tmp/aeolus-debug-20120327175328/var/log/aeolus-conductor
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/aeolus-configure
cp -p /var/log/aeolus-configure/aeolus-cleanup.log /tmp/aeolus-debug-20120327175328/var/log/aeolus-configure
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/aeolus-configure
cp -p /var/log/aeolus-configure/aeolus-configure.log /tmp/aeolus-debug-20120327175328/var/log/aeolus-configure
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-conductor
cp -p /etc/aeolus-conductor/settings.yml /tmp/aeolus-debug-20120327175328/etc/aeolus-conductor
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-conductor
cp -p /etc/aeolus-conductor/production.rb /tmp/aeolus-debug-20120327175328/etc/aeolus-conductor
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-conductor
cp -p /etc/aeolus-conductor/database.yml /tmp/aeolus-debug-20120327175328/etc/aeolus-conductor
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-conductor
cp -p /etc/aeolus-conductor/development.rb /tmp/aeolus-debug-20120327175328/etc/aeolus-conductor
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-conductor
cp -p /etc/aeolus-conductor/test.rb /tmp/aeolus-debug-20120327175328/etc/aeolus-conductor
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-conductor
cp -p /etc/aeolus-conductor/oauth.json /tmp/aeolus-debug-20120327175328/etc/aeolus-conductor
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/default_cleanup /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/deltacloud_configure /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/README /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/rhevm_configure /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/wui_configure /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/imagebuilder_configure /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/vsphere_configure /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/iwhd_configure /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/imagefactory_configure /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/default_configure /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/iwhd_cleanup /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/deltacloud_cleanup /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/mock_configure /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/wui /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/rhevm_cleanup /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/imagefactory_cleanup /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/ec2_configure /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
cp -p /etc/aeolus-configure/nodes/conductor_cleanup /tmp/aeolus-debug-20120327175328/etc/aeolus-configure/nodes
mkdir -p /tmp/aeolus-debug-20120327175328/etc/aeolus-configure
cp -p /etc/aeolus-configure/custom_template.tdl /tmp/aeolus-debug-20120327175328/etc/aeolus-configure
mkdir -p /tmp/aeolus-debug-20120327175328/etc/imagefactory/jeos_images
mkdir -p /tmp/aeolus-debug-20120327175328/etc/imagefactory
cp -p /etc/imagefactory/rhevm.json /tmp/aeolus-debug-20120327175328/etc/imagefactory
mkdir -p /tmp/aeolus-debug-20120327175328/etc/imagefactory
cp -p /etc/imagefactory/vsphere.json /tmp/aeolus-debug-20120327175328/etc/imagefactory
mkdir -p /tmp/aeolus-debug-20120327175328/etc/imagefactory
cp -p /etc/imagefactory/imagefactory.conf /tmp/aeolus-debug-20120327175328/etc/imagefactory
mkdir -p /tmp/aeolus-debug-20120327175328/var/log
cp -p /var/log/imagefactory.log /tmp/aeolus-debug-20120327175328/var/log
mkdir -p /tmp/aeolus-debug-20120327175328/etc/iwhd
cp -p /etc/iwhd/users.js /tmp/aeolus-debug-20120327175328/etc/iwhd
mkdir -p /tmp/aeolus-debug-20120327175328/etc/iwhd
cp -p /etc/iwhd/conf.js /tmp/aeolus-debug-20120327175328/etc/iwhd
mkdir -p /tmp/aeolus-debug-20120327175328/var/log
cp -p /var/log/iwhd.log /tmp/aeolus-debug-20120327175328/var/log
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/mongodb
cp -p /var/log/mongodb/mongodb.log /tmp/aeolus-debug-20120327175328/var/log/mongodb
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/deltacloud-core
cp -p /var/log/deltacloud-core/mock.log /tmp/aeolus-debug-20120327175328/var/log/deltacloud-core
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/lxc
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt
cp -p /var/log/libvirt/libvirtd.log /tmp/aeolus-debug-20120327175328/var/log/libvirt
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-451fd8f8-b2bf-447c-bc8d-be7ef324bce6.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-ee17ea15-f67e-4744-bb64-b00fa900e64d.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-50db5ce3-1981-4d9f-9097-edc983085a4a.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-d67c6c7b-f7f0-4634-bd43-c16ac2420daf.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-98164846-3ed1-4f8b-a688-6f417f5609b9.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-187d7b4a-58f6-4099-bbe1-fb7d706591ce.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-4bfb2e7d-f8f4-4004-aa58-babae494e538.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-2acb706a-3d2b-4d1f-b6e1-3e022cd8d8cb.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-7a31543e-3344-4378-91c8-57d9080ebc5c.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-8df48ebe-f1f0-41b7-86dd-ee2ab1e1aa26.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-76967225-32a9-4403-81e6-18c68817e6ec.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/wes.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-a0484bc1-b31e-4a6a-81bf-993fc727aeb1.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-049ca7cd-9400-4ee9-9091-93ce1df70ba4.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-29baf7c5-0870-41ea-b426-37033436f50d.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-ba58d498-d594-45bd-af32-92b243f66e48.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-ab706a09-d654-43d9-8bd8-65753b9fff88.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-beb71d17-6680-4422-b9c9-67c8d28d7c1f.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-71a24652-e5d0-4c06-bb94-e7f5a3d139c2.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-d9f633e6-f690-4ce9-a6e1-02c7de995d5e.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-1a280d31-a622-4cb4-9337-9b147059afb7.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-428a0d2a-3090-42e7-bb21-e0c49e781246.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-1b025dbe-33dd-4284-8ed2-d5b8764aeb77.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
cp -p /var/log/libvirt/qemu/factory-build-fbf0e82d-48ba-46ac-94dd-fa8d75909d5a.log /tmp/aeolus-debug-20120327175328/var/log/libvirt/qemu
mkdir -p /tmp/aeolus-debug-20120327175328/var/log/libvirt/uml
mkdir -p /tmp/aeolus-debug-20120327175328/etc/oz
cp -p /etc/oz/oz.cfg /tmp/aeolus-debug-20120327175328/etc/oz
mkdir -p /tmp/aeolus-debug-20120327175328/proc
cp -p /proc/cpuinfo /tmp/aeolus-debug-20120327175328/proc
mkdir -p /tmp/aeolus-debug-20120327175328/proc
cp -p /proc/meminfo /tmp/aeolus-debug-20120327175328/proc
aeolus-debug-20120327175328/
aeolus-debug-20120327175328/packages
aeolus-debug-20120327175328/proc/
aeolus-debug-20120327175328/proc/cpuinfo
aeolus-debug-20120327175328/proc/meminfo
aeolus-debug-20120327175328/virsh_capabilities
aeolus-debug-20120327175328/var/
aeolus-debug-20120327175328/var/log/
aeolus-debug-20120327175328/var/log/deltacloud-core/
aeolus-debug-20120327175328/var/log/deltacloud-core/mock.log
aeolus-debug-20120327175328/var/log/mongodb/
aeolus-debug-20120327175328/var/log/mongodb/mongodb.log
aeolus-debug-20120327175328/var/log/iwhd.log
aeolus-debug-20120327175328/var/log/aeolus-conductor/
aeolus-debug-20120327175328/var/log/aeolus-conductor/thin.log
aeolus-debug-20120327175328/var/log/aeolus-conductor/rails.log
aeolus-debug-20120327175328/var/log/aeolus-conductor/dbomatic.log
aeolus-debug-20120327175328/var/log/imagefactory.log
aeolus-debug-20120327175328/var/log/aeolus-configure/
aeolus-debug-20120327175328/var/log/aeolus-configure/aeolus-cleanup.log
aeolus-debug-20120327175328/var/log/aeolus-configure/aeolus-configure.log
aeolus-debug-20120327175328/var/log/libvirt/
aeolus-debug-20120327175328/var/log/libvirt/lxc/
aeolus-debug-20120327175328/var/log/libvirt/libvirtd.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-451fd8f8-b2bf-447c-bc8d-be7ef324bce6.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-ee17ea15-f67e-4744-bb64-b00fa900e64d.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-50db5ce3-1981-4d9f-9097-edc983085a4a.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-d67c6c7b-f7f0-4634-bd43-c16ac2420daf.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-98164846-3ed1-4f8b-a688-6f417f5609b9.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-187d7b4a-58f6-4099-bbe1-fb7d706591ce.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-4bfb2e7d-f8f4-4004-aa58-babae494e538.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-2acb706a-3d2b-4d1f-b6e1-3e022cd8d8cb.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-7a31543e-3344-4378-91c8-57d9080ebc5c.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-8df48ebe-f1f0-41b7-86dd-ee2ab1e1aa26.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-76967225-32a9-4403-81e6-18c68817e6ec.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/wes.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-a0484bc1-b31e-4a6a-81bf-993fc727aeb1.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-049ca7cd-9400-4ee9-9091-93ce1df70ba4.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-29baf7c5-0870-41ea-b426-37033436f50d.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-ba58d498-d594-45bd-af32-92b243f66e48.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-ab706a09-d654-43d9-8bd8-65753b9fff88.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-beb71d17-6680-4422-b9c9-67c8d28d7c1f.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-71a24652-e5d0-4c06-bb94-e7f5a3d139c2.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-d9f633e6-f690-4ce9-a6e1-02c7de995d5e.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-1a280d31-a622-4cb4-9337-9b147059afb7.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-428a0d2a-3090-42e7-bb21-e0c49e781246.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-1b025dbe-33dd-4284-8ed2-d5b8764aeb77.log
aeolus-debug-20120327175328/var/log/libvirt/qemu/factory-build-fbf0e82d-48ba-46ac-94dd-fa8d75909d5a.log
aeolus-debug-20120327175328/var/log/libvirt/uml/
aeolus-debug-20120327175328/etc/
aeolus-debug-20120327175328/etc/imagefactory/
aeolus-debug-20120327175328/etc/imagefactory/jeos_images/
aeolus-debug-20120327175328/etc/imagefactory/rhevm.json
aeolus-debug-20120327175328/etc/imagefactory/vsphere.json
aeolus-debug-20120327175328/etc/imagefactory/imagefactory.conf
aeolus-debug-20120327175328/etc/oz/
aeolus-debug-20120327175328/etc/oz/oz.cfg
aeolus-debug-20120327175328/etc/aeolus-conductor/
aeolus-debug-20120327175328/etc/aeolus-conductor/settings.yml
aeolus-debug-20120327175328/etc/aeolus-conductor/production.rb
aeolus-debug-20120327175328/etc/aeolus-conductor/database.yml
aeolus-debug-20120327175328/etc/aeolus-conductor/development.rb
aeolus-debug-20120327175328/etc/aeolus-conductor/test.rb
aeolus-debug-20120327175328/etc/aeolus-conductor/oauth.json
aeolus-debug-20120327175328/etc/iwhd/
aeolus-debug-20120327175328/etc/iwhd/users.js
aeolus-debug-20120327175328/etc/iwhd/conf.js
aeolus-debug-20120327175328/etc/aeolus-configure/
aeolus-debug-20120327175328/etc/aeolus-configure/nodes/
aeolus-debug-20120327175328/etc/aeolus-configure/nodes/default_cleanup
aeolus-debug-20120327175328/etc/aeolus-configure/nodes/deltacloud_configure
aeolus-debug-20120327175328/etc/aeolus-configure/nodes/README
aeolus-debug-20120327175328/etc/aeolus-configure/nodes/rhevm_configure
aeolus-debug-20120327175328/etc/aeolus-configure/nodes/wui_configure
aeolus-debug-20120327175328/etc/aeolus-configure/nodes/imagebuilder_configure
aeolus-debug-20120327175328/etc/aeolus-configure/nodes/vsphere_configure
aeolus-debug-20120327175328/etc/aeolus-configure/nodes/iwhd_configure
aeolus-debug-20120327175328/etc/aeolus-configure/nodes/imagefactory_configure
aeolus-debug-20120327175328/etc/aeolus-configure/nodes/default_configure
aeolus-debug-20120327175328/etc/aeolus-configure/nodes/iwhd_cleanup
aeolus-debug-20120327175328/etc/aeolus-configure/nodes/deltacloud_cleanup
aeolus-debug-20120327175328/etc/aeolus-configure/nodes/mock_configure
aeolus-debug-20120327175328/etc/aeolus-configure/nodes/wui
aeolus-debug-20120327175328/etc/aeolus-configure/nodes/rhevm_cleanup
aeolus-debug-20120327175328/etc/aeolus-configure/nodes/imagefactory_cleanup
aeolus-debug-20120327175328/etc/aeolus-configure/nodes/ec2_configure
aeolus-debug-20120327175328/etc/aeolus-configure/nodes/conductor_cleanup
aeolus-debug-20120327175328/etc/aeolus-configure/custom_template.tdl
A debug file has been created at /tmp/aeolus-debug-20120327175328.tar.gz.


hrm.. /me wonders whats going on..


[root@qeblade31 ~]# rpm -qa | grep aeolus
aeolus-conductor-0.8.3-1.el6.noarch
aeolus-all-0.8.3-1.el6.noarch
rubygem-aeolus-cli-0.3.1-1.el6.noarch
aeolus-conductor-doc-0.8.3-1.el6.noarch
aeolus-conductor-daemons-0.8.3-1.el6.noarch
aeolus-configure-2.5.2-1.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
Comment 2 Dave Johnson 2012-04-30 10:38:58 EDT
Works with:
[root@dell-pem710-01 ~]# aeolus-debug

Broken with:
[root@dell-pem710-01 ~]# aeolus-debug --dir logs

In terms of the comments above
Comment 4 Jason Guiditta 2012-06-20 14:14:41 EDT
Sent to list for testing:

commit c4a08bb787faece128048cb9e75b4bf09e929c99
Author: Jason Guiditta <jguiditt@redhat.com>
Date:   Wed Jun 20 14:09:59 2012 -0400

    BZ #807267: aeolus-debug is broken.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=807267
    
    Alarmist subject aside, the issue was actually that specifying the
    --dir option was causing an error, standard run of aeolus-debug was
    still working fine.
    
    The cause of this was a simple error in how we were contructing the
    path being passed into the tar command.
Comment 5 Jason Guiditta 2012-07-02 10:49:02 EDT
This is now pushed to master

commit f8f646d12b694b8b7ade42b65b02ec313efb0e48
Author: Jason Guiditta <jguiditt@redhat.com>
Date:   Wed Jun 20 14:13:50 2012 -0400
Comment 7 Aziza Karol 2012-09-18 01:31:46 EDT
aeolus-debug works fine.

verified on:
#rpm -qa | grep aeolus
aeolus-conductor-0.13.7-1.el6cf.noarch
aeolus-all-0.13.7-1.el6cf.noarch
rubygem-aeolus-cli-0.7.1-1.el6cf.noarch
aeolus-conductor-doc-0.13.7-1.el6cf.noarch
aeolus-configure-2.8.6-1.el6cf.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-conductor-daemons-0.13.7-1.el6cf.noarch
Comment 9 errata-xmlrpc 2012-12-04 10:01:24 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-1516.html

Note You need to log in before you can comment on or make changes to this bug.